Skip to content
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
example
src add sortingHat endpoint Feb 8, 2019
.eslintrc
.gitignore
.npmignore
LICENSE Initial commit Jan 25, 2019
README.md
index.js
package.json add sortingHat endpoint Feb 8, 2019
yarn.lock

README.md

gatsby-source-potterapi

Source plugin for https://www.potterapi.com/. You can find an example in the example directory.

Install

npm install --save gatsby-source-potterapi

How to use

Prerequisites

Go to potterapi.com and create an account. Afterwards you can see your API key on your profile.

Save the API key in an environment file like:

POTTER_KEY=your-api-key-here

gatsby-config

Add the plugin and define the API key.

module.exports = {
  plugins: [
    {
      resolve: 'gatsby-source-potterapi',
      options: {
        key: process.env.POTTER_KEY,
      }
    }
  ]
}
You can’t perform that action at this time.